# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(Test/More.pm) perl(WWW/Curl/Simple.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Finance-BlockIO
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Perl wrapper to JSON-based Block.io API
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/N/NO/NORTHRUP/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Finance::BlockIO provides a bare interface to the Block.io JSON-based API,
using WWW::Curl::Simple to make requests and returning a Perl data structure
created from any JSON response received.

You'll probably need an API key (and therefore an account) at Block.io in order
to actually use this.

This documentation is not a replacement for the actual API documentation, which
can be found at https://block.io/api/detailed/curl.
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/F*

%changelog
* Thu Sep 04 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

